Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# DistributedCartesianGrid Class Reference

Inherits direct::distributed::DistributedNode::DistributedNode, and CartesianGridBase::CartesianGridBase.

List of all members.

## Public Member Functions
def | __init__
def | addObjectToGrid
def | clearWorldContext
def | delete
def | disable
def | generate
def | getCenterPos
def | handleAvatarZoneChange
def | handleChildArrive
def | handleChildArriveZone
def | handleChildLeave
def | initializeGridLines
| Visualization Tools.
def | isGridParent
def | labelCells
def | markCells
def | processVisibility
def | removeObjectFromGrid
def | setCellWidth
def | setParentingRules
def | setWorldContext
def | startProcessVisibility
def | stopProcessVisibility
def | turnOff
def | turnOn
def | unmarkCells
def | updateGrid
def | visualizeGrid
## Public Attributes
| cellLabelParent
| cellMarkers
| cellWidth
| centerLines
| centerPos
| gridColor
| gridSize
| gridVisContext
| haveGridLines
| lines
| majorLines
| markerParent
| minorLines
| startingZone
| style
| viewingRadius
| visAvatar
| visDirty
| visZone
## Static Public Attributes
tuple | notify = directNotify.newCategory("DistributedCartesianGrid")
string | RuleSeparator = ":"
tuple | VisualizeGrid = config.GetBool("visualize-cartesian-grid", 0)

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | cr
| ) |  |

## Member Function Documentation

def addObjectToGrid | ( |  | self,
|  |  | av
| ) |  |

def clearWorldContext | ( |  | self,
|  |  | event = `None`
| ) |  |

def delete | ( |  | self | ) |

def disable | ( |  | self | ) |

def generate | ( |  | self | ) |

def getCenterPos | ( |  | self | ) |

def handleAvatarZoneChange | ( |  | self,
|  |  | av,
|  |  | zoneId
| ) |  |

def handleChildArrive | ( |  | self,
|  |  | child,
|  |  | zoneId
| ) |  |

def handleChildArriveZone | ( |  | self,
|  |  | child,
|  |  | zoneId
| ) |  |

def handleChildLeave | ( |  | self,
|  |  | child,
|  |  | zoneId
| ) |  |

def initializeGridLines | ( |  | self | ) |

Visualization Tools.

def isGridParent | ( |  | self | ) |

def labelCells | ( |  | self | ) |

def markCells | ( |  | self | ) |

def processVisibility | ( |  | self,
|  |  | task
| ) |  |

def removeObjectFromGrid | ( |  | self,
|  |  | av
| ) |  |

def setCellWidth | ( |  | self,
|  |  | width
| ) |  |

def setParentingRules | ( |  | self,
|  |  | style,
|  |  | rule
| ) |  |

def setWorldContext | ( |  | self,
|  |  | worldContext
| ) |  |

def startProcessVisibility | ( |  | self,
|  |  | avatar
| ) |  |

def stopProcessVisibility | ( |  | self,
|  |  | clearAll = `False`,
|  |  | event = `None`
| ) |  |

def turnOff | ( |  | self | ) |

def turnOn | ( |  | self,
|  |  | av = `None`
| ) |  |

def unmarkCells | ( |  | self | ) |

def updateGrid | ( |  | self | ) |

def visualizeGrid | ( |  | self | ) |

## Member Data Documentation

cellLabelParent

cellMarkers

cellWidth

centerLines

centerPos

gridColor

gridSize

gridVisContext

haveGridLines

lines

majorLines

markerParent

minorLines

tuple notify = directNotify.newCategory("DistributedCartesianGrid")`[static]`

string RuleSeparator = ":"`[static]`

startingZone

style

viewingRadius

visAvatar

visDirty

tuple VisualizeGrid = config.GetBool("visualize-cartesian-grid", 0)`[static]`

visZone

All Classes Namespaces Functions Variables Enumerations Enumerator Properties